Adopt Devices
Adopt a device to a site.
Adopt a device to a site.
Authorization
ApiKey X-Api-Key<token>
UniFi API key. Create one under Control Plane → Admins & Users → your admin → Create API Key (requires controller 9.0.114+).
In: header
Path Parameters
siteId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/devices" \ -H "Content-Type: application/json" \ -d '{ "macAddress": "string", "ignoreDeviceLimit": true }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "macAddress": "94:2a:6f:26:c6:ca", "ipAddress": "192.168.1.55", "name": "IW HD", "model": "UHDIW", "supported": true, "state": "ONLINE", "firmwareVersion": "6.6.55", "firmwareUpdatable": true, "adoptedAt": "2019-08-24T14:15:22Z", "provisionedAt": "2019-08-24T14:15:22Z", "configurationId": "7596498d2f367dc2", "uplink": { "deviceId": "4de4adb9-21ee-47e3-aeb4-8cf8ed6c109a" }, "features": { "switching": { "lags": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "portIdxs": [ 0 ], "metadata": null } ] }, "accessPoint": {} }, "interfaces": { "ports": [ { "idx": 1, "state": "UP", "connector": "RJ45", "maxSpeedMbps": 10000, "speedMbps": 1000, "poe": { "standard": "802.3bt", "type": 3, "enabled": true, "state": "UP" } } ], "radios": [ { "wlanStandard": "802.11a", "frequencyGHz": 2.4, "channelWidthMHz": 40, "channel": 36 } ] }}